{%- if pillar.neutron is defined %}
  {%- if pillar.neutron.get('gateway', {}).get('enabled', False) == True or pillar.neutron.get('compute',{}).get('enabled', False) == True %}
ovs_parse_bridge:
  file.managed:
  - name: /usr/local/bin/ovs_parse_bridge.py
  - source: salt://telegraf/files/script/ovs_parse_bridge.py
  - template: jinja
  - mode: 750

    {%- if pillar.neutron.get('gateway', {}).get('enabled', False) == True or pillar.neutron.get('compute',{}).get('dhcp_agent_enabled', False) == True %}
ovs_arping_check_telegraf_script:
  file.managed:
  - name: /usr/local/bin/check_ovs_arping.py
  - source: salt://telegraf/files/script/check_ovs_arping.py
  - template: jinja
  - mode: 750

    {%- endif %}
  {%- endif %}
{%- endif %}

{%- if pillar.opencontrail is defined %}
  {%- if pillar.opencontrail.get('compute', {}).get('enabled', False) == True %}
    {%- set prometheus_address = pillar._param.stacklight_monitor_address %}

opencontrail_ping_check_telegraf_script:
  file.managed:
  - name: /usr/local/bin/check_opencontrail_ping.py
  - source: salt://telegraf/files/script/check_opencontrail_ping.py
  - template: jinja
  - mode: 750

  {%- endif %}
{%- endif %}
